.salesroom_cardform_grid {
  display: grid;
  gap: 0;
  grid-template-columns: minmax(0, 1fr) 3fr;
  align-items: flex-start;
}

iframe.salesroom_preview {
  border-top-right-radius: var(--pico-border-radius);
  border-bottom-right-radius: var(--pico-border-radius);
  width: 100%;
  min-height: 85vh;
  border: 1px solid var(--pico-form-element-border-color);
  border-left: 0;
  background-color: var(--pico-background-color);
}

.section-group {
  position: sticky;
  top: 90px;
  height: 100%;
}

.section-group > section {
  height: 85vh;
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  border-right: 1px solid var(--pico-form-element-border-color);
  overflow-y: auto;
}

.cardform_activities .feed_list:hover {
  overflow: visible;
}

.file_content_placeholder {
  display: flex;
  border: 2px dashed var(--pico-form-element-border-color);
  align-items: center;
  justify-content: center;
  border-radius: var(--pico-border-radius);
  flex-direction: column;
  padding: 2rem;
  gap: 1rem;
}

.block_editor_current:has(a) {
  padding: 10px;
  border-bottom: 1px solid var(--pico-form-element-border-color);
}

.file_required_content,
.file_edit_grid {
  padding: 10px;
}

article.block_editor {
  padding: 0;
  box-shadow: none;
  background: transparent;
  border: 1px solid var(--pico-form-element-border-color);
  border-radius: var(--pico-border-radius);
  margin-bottom: 2rem;
}

.block_editor_meta {
  padding: 10px;
  border-bottom: 1px solid var(--pico-form-element-border-color);
}

article.block_editor article.editor_not_modal {
  margin: 0;
}

.salesroom_stage_blocks_editor {
  word-break: break-all;
}

.block_editor_current {
  margin-bottom: 0;
}

.block_editor_delete_toggle {
  padding: 1rem;
  border: 1px solid red;
  border-radius: var(--pico-border-radius);
  background: #ff000014;
  margin-top: 1.5rem;
}

.block_editor textarea {
  height: auto;
  resize: vertical;
  white-space: normal;
  border: 0;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.block_editor .ql-toolbar.ql-snow {
  border: 0;
  border-bottom: 1px solid var(--pico-form-element-border-color);
}

.block_editor .quill_container {
  border: 0 !important;
}

label.mark_delete_label {
  margin: 0;
}

label.mark_delete_label span {
  background: transparent;
  color: red;
}

.cardform_activities .feed_list_item_new > div {
  border: 1px solid var(--salesroom-border);
}

@media (max-width: 1024px) {
  .salesroom_cardform_grid,
  .salesroom_grid_container {
    grid-template-columns: 1fr;
    gap: 1rem;
    padding: 1rem 0 0;
  }

  body.salesrooms .cardform_section {
    height: auto;
    overflow-y: visible;
    width: 100%;
    border-radius: var(--pico-border-radius);
  }

  iframe.salesroom_preview {
    border-radius: var(--pico-border-radius);
    border-left: 1px solid var(--pico-form-element-border-color);
  }
}
